

%define module libkscreen

Summary:        Display configuration library
Name:           %module
Version: 		5.8.7
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{module}-%{version}.tar.xz
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5imageformats-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5bluetooth-devel
BuildRequires: %{_lib}qt5bootstrap-devel
BuildRequires: %{_lib}qt5clucene-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5egldeviceintegration-devel
BuildRequires: %{_lib}qt5labstemplates-devel
BuildRequires: %{_lib}qt5location-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediaquick_p-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel
BuildRequires: %{_lib}qt5nfc-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5platformsupport-devel
BuildRequires: %{_lib}qt5positioning-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qgsttools_p-devel
BuildRequires: %{_lib}qt5quickparticles-devel
BuildRequires: %{_lib}qt5quicktest-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5scripttools-devel
BuildRequires: %{_lib}qt5sensors-devel
BuildRequires: %{_lib}qt5serialport-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5waylandclient-devel
BuildRequires: %{_lib}qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl


%description
LibKScreen is a library that provides access to current configuration
of connected displays and ways to change the configuration.

%files
%_kf5_plugindir/kscreen
%_libexecdir/kf5/kscreen_backend_launcher
%_datadir/dbus-1/services/org.kde.kscreen.service
%{_bindir}/kscreen-doctor

#--------------------------------------------------------------------

%define kf5kscreen_major 5
%define libkf5kscreen %mklibname kf5kscreen %{kf5kscreen_major}

%package -n %libkf5kscreen
Summary:  Display configuration library
Group:    Graphical desktop/KDE5

%description -n %libkf5kscreen
LibKScreen is a library that provides access to current configuration
of connected displays and ways to change the configuration.

%files -n %libkf5kscreen
%_kf5_libdir/libKF5Screen.so.%{kf5kscreen_major}*
%_kf5_libdir/libKF5Screen.so.7

#--------------------------------------------------------------------

%define kf5kscreen_devel %mklibname kf5kscreen -d

%package -n %kf5kscreen_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %libkf5kscreen = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5kscreen_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5kscreen_devel
%_kf5_includedir/KScreen
%_libdir/pkgconfig/kscreen2.pc
%_libdir/qt5/mkspecs/modules/qt_KScreen.pri
%_kf5_includedir/kscreen_version.h
%_kf5_libdir/cmake/KF5Screen
%_kf5_libdir/libKF5Screen.so

#--------------------------------------------------------------------


%prep
%setup -q -n %module-%version

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Tue Apr 10 2018 adrianomorselli <adrianomorselli> 5.8.7-1uplos2018
- update
